---
driver:
  cap_add:
    - SYS_ADMIN
  chef_version: latest # or 15 or 15.0 or 15.0.300 or curent
  disable_upstart: false
  name: docker
  privileged: yes
  provision_command:
    - apt-get install systemd -y
  run_command: /bin/systemd
  socket: unix:///var/run/docker.sock

provisioner:
  # You may wish to disable always updating cookbooks in CI or other testing environments.
  # For example:
  #   always_update_cookbooks: <%= !ENV['CI'] %>
  always_update_cookbooks: true
  chef_license: accept
  name: chef_zero

verifier:
  name: inspec

platforms:
  - name: debian-8
    driver:
      image: debian:8
  - name: debian-9
    driver:
      image: debian:9

suites:
  - name: default
    attributes:
    run_list:
      - recipe[apt]
      - recipe[docker-ce::default]
    verifier:
      inspec_tests:
        - test/integration/default
    attributes:
  - name: updated-version-attribute-18.06
    attributes:
      docker_ce:
        version: '18.06'
    run_list:
      - recipe[docker-ce::default]
    verifier:
      inspec_tests:
        - test/integration/updated-version-attribute-18.06
  - name: updated-version-attribute-18.09
    attributes:
      docker_ce:
        version: '18.09'
    run_list:
      - recipe[docker-ce::default]
    verifier:
      inspec_tests:
        - test/integration/updated-version-attribute-18.09
